Issue2087

classification
Title: Replace Guava MapMaker.makeComputingMap with CacheBuilder
Type: rfe Severity: normal
Components: Core Versions: Jython 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: zyasoft Nosy List: Arfrever, ebourg, pini, zyasoft
Priority: Keywords: patch

Created on 2013-09-12.10:27:41 by ebourg, last changed 2014-05-21.20:35:58 by zyasoft.

Files
File name Uploaded Description Edit Remove
deprecated-MapMaker-cache.patch pini, 2013-10-17.19:23:05
Messages
msg8114 (view) Author: Emmanuel Bourg (ebourg) Date: 2013-09-12.10:27:41
Guava 15.0 removed the MapMaker.makeComputingMap() method which is used in PyDefaultDict. Could you please update the code to use CacheBuilder instead?

http://code.google.com/p/guava-libraries/wiki/MapMakerMigration
http://docs.guava-libraries.googlecode.com/git-history/release/javadoc/com/google/common/cache/CacheBuilder.html

Thank you
msg8115 (view) Author: Jim Baker (zyasoft) Date: 2013-09-12.11:29:31
Yes, in my TODO list. Good to have it here as a bug.
msg8160 (view) Author: Gilles Filippini (pini) Date: 2013-10-17.19:23:05
Hi,
Please consider reviewing the attached patch against release 2.5.2. It builds correctly but I don't have the knowledge to test it.
Thanks.
msg8320 (view) Author: Jim Baker (zyasoft) Date: 2014-05-04.19:47:53
Planned to update in beta 3
msg8378 (view) Author: Jim Baker (zyasoft) Date: 2014-05-11.04:33:21
Fixed in 7240:3059c41e3838
History
Date User Action Args
2014-05-21 20:35:58zyasoftsetstatus: pending -> closed
2014-05-11 04:33:21zyasoftsetstatus: open -> pending
resolution: accepted -> fixed
messages: + msg8378
2014-05-04 19:56:06Arfreversetnosy: + Arfrever
2014-05-04 19:47:53zyasoftsetmessages: + msg8320
2013-10-17 19:23:06pinisetfiles: + deprecated-MapMaker-cache.patch
keywords: + patch
messages: + msg8160
nosy: + pini
2013-09-12 11:29:31zyasoftsetassignee: zyasoft
resolution: accepted
messages: + msg8115
nosy: + zyasoft
2013-09-12 10:27:42ebourgcreate